#version 120
#extension GL_EXT_gpu_shader4 : require

//
// Vertex shader for evaluating the point lighting in the
// deferred shading passes.
//
// Author: Evan Hart
// Email: sdkfeedback@nvidia.com
//
// Copyright (c) NVIDIA Corporation. All rights reserved.
////////////////////////////////////////////////////////////////////////////////

varying vec3 eyePosition;
varying vec3 color;

void main() {
	
	eyePosition = (gl_ModelViewMatrix * gl_Vertex).xyz;
	color = gl_Color.rgb;
	
	gl_Position = ftransform();
}