#version 120
#extension GL_EXT_gpu_shader4 : require
#extension GL_EXT_geometry_shader4 : require

//
// Geometry shader for the lights themselves, not the lighting they
// produce. It simply expands the light as a point sprite.
//
// Author: Evan Hart
// Email: sdkfeedback@nvidia.com
//
// Copyright (c) NVIDIA Corporation. All rights reserved.
////////////////////////////////////////////////////////////////////////////////

varying in vec4 hPos[1];
varying in vec3 color[1];
varying in float ptSize[1];

varying out vec3 oColor;
varying out vec2 coord;

void main() {
    float scale = hPos[0].w * ptSize[0];
	
	gl_Position = hPos[0] + vec4( -0.5/400.0, -0.5/300.0, 0.0, 0.0) * scale;
	coord = vec2( -1.0, -1.0);
	oColor = color[0];
	EmitVertex();
	
	gl_Position = hPos[0] + vec4( 0.5/400.0, -0.5/300.0, 0.0, 0.0) * scale;
	coord = vec2( 1.0, -1.0);
	oColor = color[0];
	EmitVertex();
	
	gl_Position = hPos[0] + vec4( -0.5/400.0, 0.5/300.0, 0.0, 0.0) * scale;
	coord = vec2( -1.0, 1.0);
	oColor = color[0];
	EmitVertex();
	
	gl_Position = hPos[0] + vec4( 0.5/400.0, 0.5/300.0, 0.0, 0.0) * scale;
	coord = vec2( 1.0, 1.0);
	oColor = color[0];
	EmitVertex();
}